@muscles = ("left_abductor_digiti_minimi_hand", "left_abductor_pollicis_brevis", "left_abductor_pollicis_longus","left_anconeus", "left_biceps_brachii","left_brachialis","left_brachioradialis","left_coracobrachialis");

@upper_arm = ("left_biceps_brachii", "left_coracobrachialis","left_brachialis","left_triceps_brachii");
@anterior_arm = ("left_flexor_carpi_ulnaris", "left_flexor_carpi_radialis","left_pronator_teres","left_flexor_digitorum_superficialis","left_flexor_digitorum_profundus","left_flexor_pollicis_longus","left_pronator_quadratus");

@posterior_arm = ("left_brachioradialis","left_extensor_carpi_radialis_longus","left_extensor_carpi_radialis_brevis","left_extensor_digiti_minimi","left_extensor_carpi_ulnaris","left_anconeus","left_supinator","left_abductor_pollicis_longus","left_extensor_pollicis_brevis","left_extensor_pollicis_longus","left_extensor_indicis");

@hand = ("left_palmaris_brevis","left_dorsal_interossei_I_hand","left_dorsal_interossei_II_hand","left_dorsal_interossei_III_hand","left_dorsal_interossei_IV_hand","left_palmar_interossei_I","left_palmar_interossei_II","left_palmar_interossei_III","left_lumbrical_I_hand","left_lumbrical_II_hand","left_lumbrical_III_hand","left_lumbrical_IV_hand");
$LOOP = scalar(@upper_arm);

@bones = ("DIGASTRICUS_ANTERIOR","DIGASTRICUS_POSTERIOR","GENIOHYOIDEUS","LONGUS_CAPITIS","LONGUS_COLLI_INFERIOR","LONGUS_COLLI_SUPERIOR","LONGUS_COLLI_VERTICAL","MYLOHYOIDEUS","OMOHYOIDEUS","PHARYNGEAL_CONSTRICTOR","PLATYSMA","RECTUS_CAPITIS_ANTERIOR","RECTUS_CAPITIS_LATERALIS");
@bones2 = ("SCALENUS_ANTERIOR","SCALENUS_MEDIUS","SCALENUS_POSTERIOR","SPLENIUS_CAPITIS","STERNOCLEIDOMASTOID","STERNOHYOIDEUS","STERNOTHYREOIDEUS","STYLOHYOIDEUS","THYREOHYOIDEUS","TRAPEZIUS");







@missing = ("LUNATE","METACARPAL_III","METACARPAL_IV","METACARPAL_V");
$LOOP= scalar(@bones);




for($i=0; $i < $LOOP; $i++){
	set dir "/hpc_atog/bshi013/SPARC/ANATML/NECK"
	set dir $bones[$i]


	gfx re no $bones[$i].EXNODE reg reg_${bones[$i]}
	gfx re elem $bones[$i].EXELEM reg reg_${bones[$i]}

	gfx mod g_e /reg_${bones[$i]} lines
	gfx mod g_e /reg_${bones[$i]} surfaces material muscle
}


$LOOP= scalar(@bones2);




for($i=0; $i < $LOOP; $i++){
	set dir "/hpc_atog/bshi013/SPARC/ANATML/NECK"
	set dir $bones2[$i]


	gfx re no $bones2[$i].EXNODE reg reg_${bones2[$i]}
	gfx re elem $bones2[$i].EXELEM reg reg_${bones2[$i]}

	gfx mod g_e /reg_${bones2[$i]} lines
	gfx mod g_e /reg_${bones2[$i]} surfaces material muscle
}


gfx cre win



