
$object = 'L1_vertebra'

@bone1 = ("CAPITATE","DISTAL_PHALANX_I","DISTAL_PHALANX_II","DISTAL_PHALANX_III","DISTAL_PHALANX_IV","DISTAL_PHALANX_V","HAMATE","HUMERUS","METACARPAL_I","METACARPAL_II","MIDDLE_PHALANX_II");
@bone2 = ("MIDDLE_PHALANX_III","MIDDLE_PHALANX_IV","MIDDLE_PHALANX_V","PISIFORM","PROXIMAL_PHALANX_I","PROXIMAL_PHALANX_II","PROXIMAL_PHALANX_III","PROXIMAL_PHALANX_IV");
@bone3 = ("PROXIMAL_PHALANX_V","RADIUS","SCAPHOID","TRAPEZIUM","TRAPEZOID","TRIQUETRUM","ULNA");


$original_folder = '/hpc_atog/bshi013/vertebra/Lumbar/vertebra/L1_images/'

fem def para;r;$object;$original_folder       # Declares array dimensions   
fem def coord;r;$object;$original_folder      # Defines the coordinate system
fem def bases;r;$object;$original_folder      # Defines tri-cubic Hermite basis functions

$tx=-225
$ty=-172
$tz= 115


$LOOP = scalar(@bone1);

for($i=0; $i < $LOOP; $i++){
	#set dir "/hpc_atog/bshi013/SPARC/ANATML/UPPER_LIMB/BONES"
	set dir $bone1[$i]

	fem def node;r;$bone1[$i]
	fem def elem;r;$bone1[$i]


	fem change node translate by $tx,$ty,$tz
	
	fem export node;${bone1[$i]}_transformed as ${bone1[$i]}_transformed
	fem export elem;${bone1[$i]}_transformed as ${bone1[$i]}_transformed
	
	fem cancel nodes
	fem cancel elements

}

$LOOP = scalar(@bone2);

for($i=0; $i < $LOOP; $i++){
	#set dir "/hpc_atog/bshi013/SPARC/ANATML/UPPER_LIMB/BONES"
	set dir $bone2[$i]

	fem def node;r;$bone2[$i]
	fem def elem;r;$bone2[$i]


	fem change node translate by $tx,$ty,$tz
	
	fem export node;${bone2[$i]}_transformed as ${bone2[$i]}_transformed
	fem export elem;${bone2[$i]}_transformed as ${bone2[$i]}_transformed
	
	fem cancel nodes
	fem cancel elements

}

$LOOP = scalar(@bone3);

for($i=0; $i < $LOOP; $i++){
	#set dir "/hpc_atog/bshi013/SPARC/ANATML/UPPER_LIMB/BONES"
	set dir $bone3[$i]

	fem def node;r;$bone3[$i]
	fem def elem;r;$bone3[$i]


	fem change node translate by $tx,$ty,$tz
	
	fem export node;${bone3[$i]}_transformed as ${bone3[$i]}_transformed
	fem export elem;${bone3[$i]}_transformed as ${bone3[$i]}_transformed
	
	fem cancel nodes
	fem cancel elements

}

