@muscles = ("left_abductor_digiti_minimi_hand", "left_abductor_pollicis_brevis", "left_abductor_pollicis_longus","left_anconeus", "left_biceps_brachii","left_brachialis","left_brachioradialis","left_coracobrachialis");

@upper_arm = ("left_biceps_brachii", "left_coracobrachialis","left_brachialis","left_triceps_brachii");
@anterior_arm = ("left_flexor_carpi_ulnaris", "left_flexor_carpi_radialis","left_pronator_teres","left_flexor_digitorum_superficialis","left_flexor_digitorum_profundus","left_flexor_pollicis_longus","left_pronator_quadratus");

@posterior_arm = ("left_brachioradialis","left_extensor_carpi_radialis_longus","left_extensor_carpi_radialis_brevis","left_extensor_digiti_minimi","left_extensor_carpi_ulnaris","left_anconeus","left_supinator","left_abductor_pollicis_longus","left_extensor_pollicis_brevis","left_extensor_pollicis_longus","left_extensor_indicis");

@hand = ("left_palmaris_brevis","left_dorsal_interossei_I_hand","left_dorsal_interossei_II_hand","left_dorsal_interossei_III_hand","left_dorsal_interossei_IV_hand","left_palmar_interossei_I","left_palmar_interossei_II","left_palmar_interossei_III","left_lumbrical_I_hand","left_lumbrical_II_hand","left_lumbrical_III_hand","left_lumbrical_IV_hand");
$LOOP = scalar(@upper_arm);

for($i=0; $i < $LOOP; $i++){
	set dir "/hpc_atog/bshi013/SPARC/upperlimb_muscles"
	set dir $upper_arm[$i]

	#@names = system(split('_',$upper_arm[$i],2));

	gfx re no $upper_arm[$i] reg reg_${upper_arm[$i]}
	gfx re elem $upper_arm[$i] reg reg_${upper_arm[$i]}

	gfx mod g_e /reg_${upper_arm[$i]} lines
	gfx mod g_e /reg_${upper_arm[$i]} surfaces material green
}


$LOOP = scalar(@anterior_arm);

for($i=0; $i < $LOOP; $i++){
	set dir "/hpc_atog/bshi013/SPARC/upperlimb_muscles"
	set dir $anterior_arm[$i]

	if($anterior_arm[$i] =~ m/digitorum/){

		gfx re no ${anterior_arm[$i]} reg reg_${anterior_arm[$i]}
		gfx re elem ${anterior_arm[$i]}_muscle reg reg_${anterior_arm[$i]}
		gfx re elem ${anterior_arm[$i]}_tendon reg reg_${anterior_arm[$i]}
	}else{

		gfx re no $anterior_arm[$i] reg reg_${anterior_arm[$i]}
		gfx re elem $anterior_arm[$i] reg reg_${anterior_arm[$i]}
	}

	gfx mod g_e /reg_${anterior_arm[$i]} lines
	gfx mod g_e /reg_${anterior_arm[$i]} surfaces material red
}

$LOOP = scalar(@posterior_arm);

set dir "/hpc_atog/bshi013/SPARC/upperlimb_muscles/left_extensor_digitorum"

gfx re no left_extensor_digitorum_muscle reg reg_left_extensor_digitorum_muscle
gfx re elem left_extensor_digitorum_muscle reg reg_left_extensor_digitorum_muscle

gfx re no left_extensor_digitorum_tendon reg reg_left_extensor_digitorum_tendon
gfx re elem left_extensor_digitorum_tendon reg reg_left_extensor_digitorum_tendon

gfx mod g_e /reg_left_extensor_digitorum_tendon lines


for($i=0; $i < $LOOP; $i++){


	set dir "/hpc_atog/bshi013/SPARC/upperlimb_muscles"
	set dir $posterior_arm[$i]
	

	if($posterior_arm[$i] =~ m/digitorum/){
		gfx re no $posterior_arm[$i] reg reg_${posterior_arm[$i]}
		gfx re elem ${posterior_arm[$i]}_muscle reg reg_${posterior_arm[$i]}
		gfx re elem ${posterior_arm[$i]}_tendon reg reg_${posterior_arm[$i]}
	}else{	

		gfx re no $posterior_arm[$i] reg reg_${posterior_arm[$i]}
		gfx re elem $posterior_arm[$i] reg reg_${posterior_arm[$i]}
	}

	gfx mod g_e /reg_${posterior_arm[$i]} lines
	gfx mod g_e /reg_${posterior_arm[$i]} surfaces material muscle
}

$LOOP = scalar(@hand);
for($i=0; $i < $LOOP; $i++){


	set dir "/hpc_atog/bshi013/SPARC/upperlimb_muscles"
	set dir $hand[$i]
	

	gfx re no $hand[$i] reg reg_${hand[$i]}
	gfx re elem $hand[$i] reg reg_${hand[$i]}
	

	gfx mod g_e /reg_${hand[$i]} lines
	gfx mod g_e /reg_${hand[$i]} surfaces material tissue
}

gfx cre win



